Companies
Get company application
GET
https://api.firstleeward.com/v0/companies/:id/applications/:applicationIdRetrieves a specific company application by its ID.
Authorizations
Authorizationstring · headerrequiredAPI key as Bearer token, e.g. Bearer YOUR_API_KEY
Headers
Leeward-Versionenum<string>requiredAPI version (YYYY-MM-DD). Available option: 2026-09-18
Path Parameters
idstring<uuid>requiredUnique company identifier
applicationIdstring<uuid>requiredUnique company application identifier
Response
200Company application details
idstring<uuid>requiredUnique company application identifier
companyIdstring<uuid>requiredCompany this application belongs to
statusstringrequiredApplication lifecycle status
Available options:
INITIATEDIN_PROGRESSAPPROVEDREJECTEDREVIEW_REQUIREDWORKFLOW_ERROREXPIREDsessionUrlstring | nullrequiredURL for the corporate client to complete verification
expiresAtstring | nullrequiredWhen the verification session URL expires (ISO 8601)
createdAtstringrequiredWhen the application was created (ISO 8601)
updatedAtstringrequiredWhen the application was last updated (ISO 8601)
404Response for status 404
Option 1 · CompanyNotFoundError
errorobjectrequiredShow child attributes
codestringrequiredmessagestringrequireddetailobject | nullrequiredOption 2 · CompanyApplicationNotFoundError
errorobjectrequiredShow child attributes
codestringrequiredmessagestringrequireddetailobject | nullrequired